org.apache.datasketches.pig.quantiles

## Class UnionStringsSketch

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.quantiles.UnionItemsSketch<String>
    - - org.apache.datasketches.pig.quantiles.UnionStringsSketch

All Implemented Interfaces:
  org.apache.pig.Accumulator<org.apache.pig.data.Tuple>, org.apache.pig.Algebraic

    public class UnionStringsSketch
    extends UnionItemsSketch<String>

Computes union of ItemsSketch<String>. It supports all three ways: exec(), Accumulator and Algebraic

### Nested Class Summary

Nested Classes
`static class` `UnionStringsSketch.UnionStringsSketchIntermediateFinal`

### Nested classes/interfaces inherited from class org.apache.datasketches.pig.quantiles.UnionItemsSketch

`UnionItemsSketch.UnionItemsSketchInitial, UnionItemsSketch.UnionItemsSketchIntermediateFinal<T>`

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`UnionStringsSketch()`
`UnionStringsSketch(String kStr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFinal()`
`String` `getInitial()`
`String` `getIntermed()`

### Methods inherited from class org.apache.datasketches.pig.quantiles.UnionItemsSketch

`accumulate, cleanup, exec, getValue, outputSchema`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### UnionStringsSketch

    public UnionStringsSketch()

#### UnionStringsSketch

    public UnionStringsSketch(String kStr)

### Method Detail

#### getInitial

    public String getInitial()

#### getIntermed

    public String getIntermed()

#### getFinal

    public String getFinal()